<bugID>1139949<Summary>Make the small swatch of current theme in the themes button smaller and rounded.</Summary><Description>Having the swatch is a nice improvement, but it's a little too big.
https://dl.dropboxusercontent.com/u/2301433/ThemeSwatch.png

And while we're modifying the swatch style, it would be nice to have a 3 pixel border-radius, to match the button.  :)

Farhaan, you've worked in this code before; did you want to take a shot at quickly fixing this one?</Description></bugID>